# QDateTime Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QDateTime()
- void QDateTime(QDate arg__1)
- void QDateTime(QDate arg__1, QTime arg__2, TimeSpec spec)
- void QDateTime(QDateTime other)

### Constructor Properties

- prototype: The QDateTime prototype object
- QDateTime currentDateTime()
- QDateTime currentDateTimeUtc()
- qint64 currentMSecsSinceEpoch()
- QDateTime fromMSecsSinceEpoch(qint64 msecs)
- QDateTime fromString(String s, DateFormat f)
- QDateTime fromTime_t(uint secsSince1Jan1970UTC)

### Prototype Object Properties

- QDateTime addDays(int days)
- QDateTime addMSecs(qint64 msecs)
- QDateTime addMonths(int months)
- QDateTime addSecs(int secs)
- QDateTime addYears(int years)
- QDate date()
- int daysTo(QDateTime arg__1)
- bool isNull()
- bool isValid()
- qint64 msecsTo(QDateTime arg__1)
- bool operator_equal(QDateTime other)
- bool operator_less(QDateTime other)
- void readFrom(QDataStream arg__1)
- int secsTo(QDateTime arg__1)
- void setDate(QDate date)
- void setMSecsSinceEpoch(qint64 msecs)
- void setTime(QTime time)
- void setTimeSpec(TimeSpec spec)
- void setTime_t(uint secsSince1Jan1970UTC)
- void setUtcOffset(int seconds)
- QTime time()
- TimeSpec timeSpec()
- QDateTime toLocalTime()
- qint64 toMSecsSinceEpoch()
- String toString(DateFormat f)
- QDateTime toTimeSpec(TimeSpec spec)
- uint toTime_t()
- QDateTime toUTC()
- int utcOffset()
- void writeTo(QDataStream arg__1)

### Instance Properties

QDateTime objects have no special properties beyond those inherited from the QDateTime prototype object.